
QGIS Application - Bug report #18246

Icons and fonts far too huge on Hi DPI display

2018-02-27 12:21 PM - Jochen Schwarze

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 26137

Description

Just installed QGIS 3.0 from OSGeo4W Network installer on a 13'' convertible notebook with 3200x1800 resolution (Win10) and

everything is far too huge (even splash screen, toolbars and menu bar cover nearly half the display height, default icon size 24, default

font size 8pt):

In this way it is absolutely unusable, and I wonder why the 2.99.0-301 (installed exactly the same way) from last week looked totally

normal.

History

#1 - 2018-02-27 12:26 PM - Giovanni Manghi

- Priority changed from High to Normal

- Category changed from Unknown to GUI

#2 - 2018-02-27 09:28 PM - Nyall Dawson

- Status changed from Open to Feedback

If you change the qgis font size and icon size in options, does the situation improve?

#3 - 2018-02-28 12:12 PM - Jochen Schwarze

- File qgis3fixed.jpg added

Rebooting solved the issue, cp. attached screenshot.

#4 - 2018-02-28 12:18 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Files

qgis3.jpg 381 KB 2018-02-27 Jochen Schwarze

qgis3fixed.jpg 387 KB 2018-02-28 Jochen Schwarze
